CREATE TABLE `beggar_descriptors` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `beggar_id` bigint(20) unsigned NOT NULL,
  `title` varchar(50) NOT NULL,
  `descriptor` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `beggar_id` (`beggar_id`),
  KEY `title` (`title`),
  KEY `descriptor` (`descriptor`)
);

CREATE TABLE `beggars` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `parent_id` bigint(20) unsigned NOT NULL,
  `name` varchar(50) NOT NULL,
  `email_address` varchar(70) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `email_address` (`email_address`),
  KEY `parent_id` (`parent_id`)
);

CREATE TABLE `parents` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `salutation` varchar(10) default NULL,
  `last_name` varchar(50) default NULL,
  `middle_initial` char(1) default NULL,
  `first_name` varchar(50) default NULL,
  `suffix` varchar(10) default NULL,
  `email_address` varchar(255) default '',
  PRIMARY KEY  (`id`),
  KEY `email_address` (`email_address`),
);

